Apache log4cxx Version @version@

Public Types | Public Member Functions | List of all members
StringMatchFilter Class Reference

This is a very simple filter based on string matching. More...

`#include <stringmatchfilter.h>`

Inheritance diagram for StringMatchFilter:

## Public Types
typedef spi::Filter | BASE_CLASS
Public Types inherited from Filter
enum | FilterDecision { DENY = -1 , NEUTRAL = 0 , ACCEPT = 1 }

## Public Member Functions
| StringMatchFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options. More...
void | setStringToMatch (const LogString &stringToMatch1)
const LogString & | getStringToMatch () const
void | setAcceptOnMatch (bool acceptOnMatch1)
bool | getAcceptOnMatch () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Returns `NEUTRAL` is there is no string match. More...
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
virtual FilterDecision | decide (const LoggingEventPtr &event) const =0
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the `LoggingEvent`, then the decide method returns `ACCEPT` if the AcceptOnMatch option value is true, if it is false then `DENY` is returned. If there is no match, `NEUTRAL` is returned.

See configuration files test6.xml, test7.xml, test8.xml, test9.xml, and test10.xml for examples of seeting up a `StringMatchFilter`.

## Member Typedef Documentation

## ◆ BASE_CLASS

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

## ◆ StringMatchFilter()

StringMatchFilter | ( |  | ) |

## Member Function Documentation

## ◆ decide()

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| virtual

Returns `NEUTRAL` is there is no string match.

Implements Filter.

## ◆ getAcceptOnMatch()

bool getAcceptOnMatch | ( |  | ) | const
| inline

## ◆ getStringToMatch()

const LogString & getStringToMatch | ( |  | ) | const
| inline

## ◆ setAcceptOnMatch()

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) |
| inline

## ◆ setOption()

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| virtual

Set options.

Implements OptionHandler.

## ◆ setStringToMatch()

void setStringToMatch | ( | const LogString & | stringToMatch1 | ) |
| inline

The documentation for this class was generated from the following file:

- stringmatchfilter.h